<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class fileupload_m extends CI_Model{
	function get_detil_data_utama($perkara_id,$from){
		if(empty($perkara_id)){
				return '';
			}
		try{
			if ($from=='mediasi')
			{
				$query="SELECT perkara_id,nomor_perkara,tanggal_pendaftaran FROM perkara WHERE perkara_id=(SELECT perkara_id FROM perkara_mediasi WHERE mediasi_id=$perkara_id)";
			}else{
				$query="SELECT perkara_id,nomor_perkara,tanggal_pendaftaran FROM perkara WHERE perkara_id=$perkara_id";
			}
			$query=$this->db->query($query);
			return $query->result();
		}catch (Exception $e){
			log_message('error', $e);
		}
	}
	
	function get_nama_dok($id,$nama_fasilitas,$idjadwal=null,$pihak=null){
		if(empty($id)){
				return '';
		}
		try{
			if ($nama_fasilitas=="putsela"){
				$this->db->where('putusansela_id',$id);
				$query=$this->db->get('perkara_putusan_sela')->row();
				return $query->amar_sela_dok;
			}
			elseif($nama_fasilitas=="put"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_putusan')->row();
				return $query->amar_putusan_dok;
			}
			elseif($nama_fasilitas=="tuntut"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_penuntutan')->row();
				return $query->isi_penuntutan_dok;
			}
			elseif($nama_fasilitas=="datum" || $nama_fasilitas=="datumpdt"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara')->row();
				if($nama_fasilitas=="datum"){
					return $query->dakwaan_dok;
				}else{
					return $query->petitum_dok;
				}
			}
			elseif($nama_fasilitas=="bas"){
				$this->db->where('id',$id);
				$query=$this->db->get('perkara_jadwal_sidang')->row();
				return $query->edoc_bas;
			}
			elseif($nama_fasilitas=="mediasi"){
				$this->db->where('mediasi_id',$id);
				$query=$this->db->get('perkara_mediasi')->row();
				return $query->isi_akta_perdamaian_dok;
			}
			elseif($nama_fasilitas=="persiapan"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_persiapan')->row();
				return $query->petitum_dok;
			}
			elseif($nama_fasilitas=="verzet"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_verzet')->row();
				return $query->amar_putusan_verzet_dok;
			}
			elseif($nama_fasilitas=="perbaikangugatan"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_perbaikan_gugatan')->row();
				return $query->petitum_dok;
			}
			elseif($nama_fasilitas=="penikrar"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_ikrar_talak')->row();
				return $query->ikrar_talak_dok;
			}
			elseif($nama_fasilitas=="aktacerai"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_akta_cerai')->row();
				return $query->akta_cerai_dok;
			}
			elseif($nama_fasilitas=="relaas"){
				$this->db->where('perkara_id',$id);
				$this->db->where('sidang_id',$idjadwal);
				$this->db->where('pihak_id',$pihak);
				$query=$this->db->get('perkara_pelaksanaan_relaas')->row();
				return $query->doc_relaas;
			}
			elseif($nama_fasilitas=="keberatan"){
				$this->db->where('perkara_id',$id);
				$query=$this->db->get('perkara_keberatan')->row();
				return $query->amar_putusan_keberatan_dok;
			}
			elseif($nama_fasilitas=="persiapan_proses"){
				$this->db->where('id',$id);
				$query=$this->db->get('perkara_persiapan_proses')->row();
				return $query->edoc_persiapan_proses;
			}			
		}catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function update_data($id,$datadiupdate,$nama_fasilitas,$idjadwal=null,$pihak=null){
		if(empty($id)){
			return '';
		}
		try{
			if ($nama_fasilitas=="putsela"){
				$this->db->where('putusansela_id',$id);
				$this->db->update('perkara_putusan_sela',$datadiupdate);
			}
			elseif($nama_fasilitas=="put"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_putusan',$datadiupdate);
			}
			elseif($nama_fasilitas=="tuntut"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_penuntutan',$datadiupdate);
			}
			elseif($nama_fasilitas=="datum" || $nama_fasilitas=="datumpdt"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara',$datadiupdate);
			}
			elseif($nama_fasilitas=="bas"){
				$this->db->where('id',$id);
				$this->db->update('perkara_jadwal_sidang',$datadiupdate);
			}
			elseif($nama_fasilitas=="mediasi"){
				$this->db->where('mediasi_id',$id);
				$this->db->update('perkara_mediasi',$datadiupdate);
			}
			elseif($nama_fasilitas=="persiapan"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_persiapan',$datadiupdate);
			}
			elseif($nama_fasilitas=="verzet"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_verzet',$datadiupdate);
			}
			elseif($nama_fasilitas=="perbaikangugatan"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_perbaikan_gugatan',$datadiupdate);
			}
			elseif($nama_fasilitas=="penikrar"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_ikrar_talak',$datadiupdate);
			}
			elseif($nama_fasilitas=="aktacerai"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_akta_cerai',$datadiupdate);
			}
			elseif($nama_fasilitas=="relaas"){
				$where = array('perkara_id' => $id , 'sidang_id' => $idjadwal, 'pihak_id'=>$pihak);
				$this->db->where($where);
				$this->db->update('perkara_pelaksanaan_relaas',$datadiupdate);
			}
			elseif($nama_fasilitas=="keberatan"){
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_keberatan',$datadiupdate);
			}
			elseif($nama_fasilitas=="persiapan_proses"){
				$this->db->where('id',$id);
				$this->db->update('perkara_persiapan_proses',$datadiupdate);
			}
			return TRUE;
		}catch (Exception $e){
			return FALSE;
		}
	}
	
	function hapus_data($id,$nama_fasilitas,$idjadwal=null,$pihak=null){
		if(empty($id)){
			return '';
		}
		try{
			if ($nama_fasilitas=="putsela"){
				$datadiupdate['amar_sela_dok']=NULL;
				$this->db->where('putusansela_id',$id);
				$this->db->update('perkara_putusan_sela',$datadiupdate);
			}
			elseif($nama_fasilitas=="bas"){
				$datadiupdate['edoc_bas']=NULL;
				$this->db->where('id',$id);
				$this->db->update('perkara_jadwal_sidang',$datadiupdate);
			}
			elseif($nama_fasilitas=="put"){
				$datadiupdate['amar_putusan_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_putusan',$datadiupdate);
			}
			elseif($nama_fasilitas=="tuntut"){
				$datadiupdate['isi_penuntutan_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_penuntutan',$datadiupdate);
			}
			elseif($nama_fasilitas=="datum" || $nama_fasilitas=="datumpdt"){
				if ($nama_fasilitas=="datum"){
					$datadiupdate['dakwaan_dok']=NULL;
				}else{
					$datadiupdate['petitum_dok']=NULL;
				}
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara',$datadiupdate);
			}
			elseif($nama_fasilitas=="mediasi"){
				$datadiupdate['isi_akta_perdamaian_dok']=NULL;
				$this->db->where('mediasi_id',$id);
				$this->db->update('perkara_mediasi',$datadiupdate);
			}
			elseif($nama_fasilitas=="persiapan"){
				$datadiupdate['petitum_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_persiapan',$datadiupdate);
			}
			elseif($nama_fasilitas=="verzet"){
				$datadiupdate['amar_putusan_verzet_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_verzet',$datadiupdate);
			}
			elseif($nama_fasilitas=="perbaikangugatan"){
				$datadiupdate['petitum_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_perbaikan_gugatan',$datadiupdate);
			}
			
			elseif($nama_fasilitas=="penikrar"){
				$datadiupdate['ikrar_talak_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_ikrar_talak',$datadiupdate);
			}
			elseif($nama_fasilitas=="aktacerai"){
				$datadiupdate['akta_cerai_dok']==NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_akta_cerai',$datadiupdate);
			}
			elseif($nama_fasilitas=="relaas"){
				$where = array('perkara_id' => $id , 'sidang_id' => $idjadwal, 'pihak_id'=>$pihak);
				$this->db->where($where);
				$datadiupdate['doc_relaas']=NULL;
				$this->db->update('perkara_pelaksanaan_relaas',$datadiupdate);
			}
			elseif($nama_fasilitas=="keberatan"){
				$datadiupdate['amar_putusan_keberatan_dok']=NULL;
				$this->db->where('perkara_id',$id);
				$this->db->update('perkara_keberatan',$datadiupdate);
			}
			elseif($nama_fasilitas=="persiapan_proses"){				
				$datadiupdate['edoc_persiapan_proses']=NULL;
				$this->db->where('id',$id);
				$this->db->update('perkara_persiapan_proses',$datadiupdate);
			}
			return TRUE;
		}catch (Exception $e){
			return FALSE;
		}
	}

	function get_put_publikasi($perkara_id){
		if(empty($perkara_id)){
				return '';
			}
		try{
				$query="SELECT c.filename,c.path_filename,c.published,c.link_dirput
						FROM perkara AS a
						LEFT JOIN dirput_dokumen_ref AS b ON a.alur_perkara_id=b.alur_perkara_id
						LEFT JOIN dirput_dokumen AS c ON a.perkara_id=c.perkara_id AND b.dokumen_ref_id = c.dokumen_ref_id
						WHERE a.perkara_id=$perkara_id AND b.urutan=99;";
			$query=$this->db->query($query);
			return $query->result();
		}catch (Exception $e){
			log_message('error', $e);
		}
	}

	function get_dok_putusan($perkara_id,$columnname){
		if(empty($perkara_id)){
				return '';
			}
		try{
				$query="SELECT $columnname FROM perkara_putusan WHERE perkara_id=$perkara_id;";
			$query=$this->db->query($query);
			return $query->result();
		}catch (Exception $e){
			log_message('error', $e);
		}
	}

	function get_tgl_putusan($perkara_id){
		if(empty($perkara_id)){
			return '';
		}
		try{
			$this->db->where('perkara_id',$perkara_id);
				$query=$this->db->get('perkara_putusan')->row();
				return $query->tanggal_putusan;			
		}catch (Exception $e) {
			log_message('error', $e);
		}
	}

	function update_data_anonimisasi($idperkara,$datadiupdate){
		if(empty($idperkara)){
			return '';
		}
		try{
			$this->db->where('perkara_id',$idperkara);
			$this->db->update('perkara_putusan',$datadiupdate);
			return TRUE;
		}catch (Exception $e){
			return FALSE;
		}
	}
}
/* End of file fileupload_m.php */
/* Location: ./application/models/fileupload/fileupload_m.php */